Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000497 [Piwigo] template feature always 2006.07.31 09:36 2007.02.17 19:36
Reporter hpsam View Status public  
Assigned To VDigital
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version Alligator 2 Product Version 1.6.1
  Target Version Product Build
Summary 0000497: Insertion d'information sur le thème en cours dans about.php
Description Bonjour,

pour la création de thème, il se peut que l'on utilise des images/photos ayant des droits limités (Creative Commons...).
Par exemple :
- j'utilise mes photos et authorise l'utilisation du theme à titre privé mais pas commercial (ou sous condition),
- j'utilise des photos sous license Creative Commons non authorisé pour une utilisation commercial (ou sous condition).

Serait-il possible de rajouter une variable dans themeconf.inc.php permettant d'afficher un texte (droits, site de l'auteur...) dans le about de PWG.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0001589)
VDigital (reporter)
2006.12.19 14:50

Que faudrait-il mettre par défaut dans les thèmes Yoga/clear et Yoga/dark?
Et qui conviendrait à tous les utilisateurs actuels?
Une variable vide?

Je pense qu'un plugin devrait permettre de le faire pour tous les thèmes dès la 1.7.
(0001712)
VDigital (reporter)
2007.01.31 08:53

On pourrait le faire par plugin, peut être.
Je regarderai ça.
(0001734)
VDigital (reporter)
2007.02.04 21:41

Révision: 1779
Auteur: vdigital
Date: 21:42:26, dimanche 4 février 2007
Commentaire:
Evolution request 0000497: Insert information about theme on about.php
To mention Creative Commons pictures, Free for private use, ...
Totally optional.
Just precise what you want in About field (see any template/yoga/theme/.../themeconf.inc.php
----
Modifié : /trunk/about.php
Modifié : /trunk/template/yoga/about.tpl
Modifié : /trunk/template/yoga/theme/clear/themeconf.inc.php
Modifié : /trunk/template/yoga/theme/dark/themeconf.inc.php
Modifié : /trunk/template/yoga/theme/p0w0/themeconf.inc.php
Modifié : /trunk/template/yoga/theme/wipi/themeconf.inc.php
(0001735)
rub (developer)
2007.02.05 07:16

Dans le même ordre d'idée, d'où le feedback.
Il ne faudrait pas mettre la version de PWG en cours ainsi qu'éventuellement le contact du site (même si ca reprend le footer de la page)?
(0001738)
VDigital (reporter)
2007.02.05 09:02

Cela existait en 1.4
Pierrick a souhaité supprimer pour des rasions de sécurité.
Je suis assez d'accord...
Le mail est disponible si l'utilisateur est membre et connecté.
La version n'est que pour le webmaster (dans l'admin) encore qu'elle peut être affichée en pied de page.
De toute façon, il nous faut 10 secondes maxi pour distinguer une 1.5, une 1.6, et une 1.7.
La 1.7 reconnaissable sur une dizaine de point.
La 1.6 essentiellement au bloc de quickconnect et aux tags, mais surtout elle utilise yoga avec des thèmes.
La 1.5 utilise yoga sans thème.
La 1.4 utilisait le template default (pas de yoga).
La 1.3 utilisait un autre moteur avec des .vtp (le look n'a rien à voir).
Toutes ces différences peuvent être masquées mais cela demande une grande connaissance de PWG donc pas de pb.
(0001740)
rub (developer)
2007.02.05 09:53

Dans ce cas... la sécurité passe avant tout...
(0001775)
VDigital (reporter)
2007.02.17 19:36

Reopen by error

- Issue History
Date Modified Username Field Change
2006.07.31 09:36 hpsam New Issue
2006.07.31 09:36 hpsam browser => any
2006.07.31 09:36 hpsam Web server => Apache 1.3.x
2006.12.19 14:50 VDigital Note Added: 0001589
2007.01.31 08:53 VDigital Note Added: 0001712
2007.01.31 08:53 VDigital Assigned To => VDigital
2007.01.31 08:53 VDigital Status new => acknowledged
2007.02.04 21:41 VDigital Status acknowledged => resolved
2007.02.04 21:41 VDigital Fixed in Version => Alligator 2
2007.02.04 21:41 VDigital Resolution open => fixed
2007.02.04 21:41 VDigital Note Added: 0001734
2007.02.05 07:16 rub Status resolved => feedback
2007.02.05 07:16 rub Resolution fixed => reopened
2007.02.05 07:16 rub Note Added: 0001735
2007.02.05 09:02 VDigital Note Added: 0001738
2007.02.05 09:53 rub Status feedback => closed
2007.02.05 09:53 rub Note Added: 0001740
2007.02.05 09:53 rub Resolution reopened => fixed
2007.02.17 19:35 VDigital Status closed => feedback
2007.02.17 19:35 VDigital Resolution fixed => reopened
2007.02.17 19:35 VDigital Note Added: 0001774
2007.02.17 19:36 VDigital Note Deleted: 0001774
2007.02.17 19:36 VDigital Status feedback => closed
2007.02.17 19:36 VDigital Note Added: 0001775
2007.02.17 19:36 VDigital Resolution reopened => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker